Closed Bug 954197 Opened 7 years ago Closed 7 years ago

Allow middle-click on IRC nick

Categories

(Instantbird :: Conversation, defect)

x86
Windows XP
defect
Not set
minor

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: bugzilla, Assigned: mattdentremont)

Details

Attachments

(1 file, 3 obsolete files)

*** Original post on bio 763 by Wayne (:waynenguyen) <duy.nghoang AT gmail.com> at 2011-04-25 21:54:00 UTC ***

It would be convenient if user can middle-click on an IRC nick to open a new tab for PM (as for now only double click is allowed).
*** Original post on bio 763 as attmnt 884 by mattdentremont AT gmail.com at 2011-10-13 03:36:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352627 - Flags: review?(florian)
*** Original post on bio 763 at 2011-10-13 10:19:30 UTC ***

Setting to assigned, I think this makes sense as it's the standard behavior when opening links in Firefox.
Assignee: nobody → bugzilla
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
*** Original post on bio 763 as attmnt 888 by mattdentremont AT gmail.com at 2011-10-13 14:49:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352631 - Flags: review?(florian)
Comment on attachment 8352627 [details] [diff] [review]
Treats middle click as double when clicking on the nicknames

*** Original change on bio 763 attmnt 884 by mattdentremont AT gmail.com at 2011-10-13 14:49:39 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352627 - Attachment is obsolete: true
Attachment #8352627 - Flags: review?(florian)
Attached patch Added more details to comment. (obsolete) — Splinter Review
*** Original post on bio 763 as attmnt 889 by mattdentremont AT gmail.com at 2011-10-13 15:34:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352632 - Flags: review?(florian)
Comment on attachment 8352631 [details] [diff] [review]
Placed all click event code into one method

*** Original change on bio 763 attmnt 888 by mattdentremont AT gmail.com at 2011-10-13 15:34:23 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352631 - Attachment is obsolete: true
Attachment #8352631 - Flags: review?(florian)
*** Original post on bio 763 as attmnt 890 by mattdentremont AT gmail.com at 2011-10-13 15:37:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352633 - Flags: review?(florian)
Comment on attachment 8352632 [details] [diff] [review]
Added more details to comment.

*** Original change on bio 763 attmnt 889 by mattdentremont AT gmail.com at 2011-10-13 15:37:34 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352632 - Attachment is obsolete: true
Attachment #8352632 - Flags: review?(florian)
Comment on attachment 8352633 [details] [diff] [review]
Additional comment improvements

*** Original change on bio 763 attmnt 890 at 2011-10-15 21:54:36 UTC ***

>diff --git a/instantbird/content/conversation.xml b/instantbird/content/conversation.xml

>      </method>
>-
>-     <method name="onNickDblClick">
>+     
>+     <method name="onNickClick">

The added spaces here are undesirable. I can address that before pushing the patch, you don't have to attach a new diff.

Looks good and works fine, thanks for fixing this!

I'll wait for 1.1 to be released before pushing this to the repository.
Attachment #8352633 - Flags: review?(florian) → review+
*** Original post on bio 763 at 2011-10-20 22:45:42 UTC ***

Checked in as http://hg.instantbird.org/instantbird/rev/951973812c10 thanks!
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.2
There was missing email mapping information for this bug during the BIO to BMO merge, manually assigning this bug.
Assignee: bugzilla → mattdentremont
You need to log in before you can comment on or make changes to this bug.